Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2008-01-05 09:22:55 +0300
committerJunio C Hamano <gitster@pobox.com>2008-01-05 11:07:51 +0300
commit7ee906694c28ab7281492d5114d2afabd964bd41 (patch)
treec14c336acfd1496259af860051420368809c72f7 /t/t7600-merge.sh
parent144126abf99f2eac48e63b7ea85a8f3f99f814db (diff)
t/t7600: avoid GNUism in grep
Using \+ to mean "one or more" in grep without -E is a GNU extension outside POSIX. Avoid it. Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/t7600-merge.sh')
-rwxr-xr-xt/t7600-merge.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/t/t7600-merge.sh b/t/t7600-merge.sh
index 6424c6e2c0..50c51c82fa 100755
--- a/t/t7600-merge.sh
+++ b/t/t7600-merge.sh
@@ -371,7 +371,7 @@ test_expect_success 'override config option -n' '
git merge --summary c2 >diffstat.txt &&
verify_merge file result.1-5 msg.1-5 &&
verify_parents $c1 $c2 &&
- if ! grep -e "^ file | \+2 +-$" diffstat.txt
+ if ! grep -e "^ file | *2 +-$" diffstat.txt
then
echo "[OOPS] diffstat was not generated"
fi
@@ -386,7 +386,7 @@ test_expect_success 'override config option --summary' '
git merge -n c2 >diffstat.txt &&
verify_merge file result.1-5 msg.1-5 &&
verify_parents $c1 $c2 &&
- if grep -e "^ file | \+2 +-$" diffstat.txt
+ if grep -e "^ file | *2 +-$" diffstat.txt
then
echo "[OOPS] diffstat was generated"
false